div#headercontent,
div#navlistcont,
div#navlistwrapper,
.footerwrapper,
.midwrapper {
  max-width: 1920px;
  padding: 0 2em;
  margin: auto;
}

.midwrapper {
  position: relative;
  padding: 20px 30px 20px;
}

.narrow-midwrapper {
  max-width: 850px;
  margin: 0 auto;
}

fieldset {
  border: none;
}

div.blockwrapper {
  margin: 0;
  padding: 0;
}

.footerwrapper {
  height: 20px;
}

.dropdown-toggle {
  width: initial;
  height: initial;
}

/*Container for course items*/
div.item {
  background-color: var(--white);
}

/*Container for editor*/
div.editor {
  border: 1px solid var(--black);
}

/*Default block container*/
div.block,
div.blockitems div.blockitems div.block {
  background-color: var(--white);
}

div.block.flex-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/*Default block item container*/
div.blockitems,
div.blockitems div.blockitems div.blockitems {
  border-top: 0;
  background-color: var(--white);
}

/*Second level default block container*/
div.blockitems div.block {
  background-color: #dfd;
}

/*Second level default block item container */
div.blockitems div.blockitems {
  background-color: #efe;
}

/*toggles for instronly items inside item wrappers */
div.item:hover span.instronly,
div.block:hover span.instronly {
  visibility: visible;
}

span.column {
  display: block;
  width: 200px;
  float: left;
  padding-right: 20px;
}

span.column {
  display: block;
  width: 200px;
  float: left;
  padding-right: 20px;
}

span.left {
  float: left;
}

span.left {
  float: left;
}

/* ==========================================================================
   Block Items
   ========================================================================== */
div.block,
div.blockitems div.blockitems div.block {
  padding: 5px;
  margin-bottom: 10px;
  border-radius: 10px 10px 0 0;
}

div.blockitems,
div.blockitems div.blockitems div.blockitems {
  padding: 20px;
  margin-top: -10px;
  margin-bottom: 10px;
  border-radius: 0 0 10px 10px;
}

div.block.grouptoggle {
  margin-bottom: 0px;
  margin-top: 10px;
}

div.block.grouptoggle + div.blockitems {
  margin-top: 0px;
}

ul.nomark {
  margin-top: 5px;
  list-style-type: none;
  margin-left: 15px;
  padding-left: 0px;
}

ul.nomark li {
  margin-left: 0px;
  padding-left: 0px;
}

span.form,
label.form {
  display: block;
  width: 200px;
  float: left;
  margin-bottom: 10px;
  text-align: right;
  padding-right: 20px;
}

span.wideformright {
  display: block;
  float: left;
  margin-bottom: 10px;
  text-align: left;
}

div.submit {
  margin-top: 10px;
  width: 400px;
  text-align: right;
}

span#leftcontenttoggle {
  display: none;
  vertical-align: middle;
  padding: 0px 5px;
}

span#leftcontenttoggle:hover {
  background-color: #eee;
}

span#leftcontenttoggle.leftcontentactive {
  background-color: #eee;
}

#leftcontent ul li a {
  display: inline-block;
  padding: 0.25rem 0;
}

.leftnavp a {
  display: inline-block;
  margin-left: 6px;
  text-indent: -6px;
  padding-top: 5px;
}

.leftnavp a:first-of-type {
  padding-top: 2px;
}

ul.tablist {
  padding: 0;
  margin: 0;
  margin-bottom: -1px;
}

ul.tablist li {
  display: inline-block;
  border: 1px solid #ccc;
  background-color: #eee;
  margin-right: 2px;
}

ul.tablist li a {
  display: inline-block;
  padding: 0.2em 1em;
  text-decoration: none;
  color: #000;
}

ul.tablist li.active {
  border-bottom: 1px solid var(--white);
  background-color: var(--white);
}

div.tabpanel {
  border: 1px solid #ccc;
  background-color: var(--white);
  margin: 0px;
  padding: 5px 10px;
}

html:not(.isltilimited) {
  background-color: var(--middle-gray);
}

html.isltilimited {
  background-color: var(--light-gray);
}

.license {
  display: block !important;
}

#app .home {
  background: var(--white);
  border-radius: 10px;
  padding: 20px;
}

@media handheld, only screen and (max-width: 480px) {
  div#headercontent,
  div#navlistcont,
  .footerwrapper,
  div#navlistwrapper,
  .midwrapper {
    width: auto;
  }

  div#leftcolumn,
  div#rightcolumn {
    float: none;
    width: auto;
  }

  span#leftcontenttoggle.hideifnavlist,
  .hideifnavlist {
    display: none;
  }

  span#leftcontenttoggle {
    display: inline-block;
  }

  div.hiddenmobile {
    display: none;
  }

  div.hiddenmobile {
    display: none;
  }

  div#leftcontent:not(.treeleftcontent) {
    box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.175);
    width: auto;
    padding: 10px;
    border-top-left-radius: 0px;
    z-index: 100;
  }

  span.instronly {
    font-size: 80%;
  }

  div.centercontent {
    margin-left: 0px;
    padding-left: 0px;
  }

  div.navbar,
  div.navbar.fixedonscroll {
    float: none;
    position: relative;
    width: auto;
    margin-right: 0px;
    left: 0px;
    margin-left: 0px;
  }

  div.navbar h4 {
    margin-bottom: 5px;
  }

  div.navbar p {
    display: inline;
    padding-right: 2em;
  }

  ul.navlist li {
    margin-bottom: 0px;
    margin-top: 0px;
  }

  ul.qlist li {
    display: inline;
    white-space: nowrap;
    margin-left: 0px;
    margin-top: 0px;
  }

  div.navbar.fixedonscroll {
    padding-left: 20px;
  }

  div.navbar.fixedonscroll ul.qlist li {
    display: list-item;
  }

  div.inset {
    position: relative;
    overflow: visible;
    margin-left: 0px;
    margin-right: 0px;
    padding-left: 0px;
  }

  div#navlistcont {
    height: auto !important;
  }

  div.headerwrapper {
    height: auto !important;
  }

  span.instronly {
    visibility: visible !important;
  }

  div.breadcrumb {
    height: auto !important;
  }

  ul#navlist,
  ul.navlistcont_navMain {
    width: 100% !important;
    margin: 0px !important;
  }

  ul#navlist a,
  ul.navlistcont_navMain a {
    padding-top: 0.3em !important;
    padding-bottom: 0.3em !important;
  }

  .hideinmobile {
    display: none !important;
  }

  .showinmobile {
    display: block !important;
  }

  #homelinkbox {
    font-size: 90%;
  }

  div#logo {
    margin-left: 0px;
    margin-right: 0px;
  }

  div#logo img {
    max-width: 100%;
  }

  div#loginbox td {
    display: block;
  }

  span.form {
    width: auto;
    float: none;
    text-align: left;
    margin-bottom: 5px;
    padding-right: 0px;
  }

  span.formright,
  span.wideformright {
    width: auto;
    float: none;
  }

  div.submit {
    width: auto;
  }

  span.formright input[type="text"],
  span.formright input[type="password"] {
    max-width: 100%;
  }

  /* Adapted from https://stackoverflow.com/questions/19735352/how-to-make-tinymces-modal-dialogs-responsive */
  .mce-window:not(.mce-iniframe) {
    width: auto !important;
    top: 0 !important;
    left: 0 !important;
    right: 0 !important;
    bottom: 0 !important;
    background: none !important;
  }

  .mce-window > .mce-reset {
    height: 100% !important;
    display: flex !important;
    flex-flow: column nowrap !important;
  }

  .mce-window-head {
    background: #fff !important;
  }

  .mce-window-body {
    background: #fff !important;
  }

  .mce-foot > .mce-container-body {
    padding: 10px !important;
  }

  .mce-panel {
    max-width: 100% !important;
  }

  .mce-container {
    max-width: 100% !important;
    height: auto !important;
  }

  .mce-container-body {
    max-width: 100% !important;
    height: auto !important;
    flex-grow: 1 !important;
    overflow-y: auto !important;
  }

  .mce-form {
    padding: 10px !important;
  }

  .mce-iframe {
    margin-left: 10px !important;
    height: auto !important;
  }

  .mce-tabs {
    max-width: 100% !important;
  }

  .mce-formitem {
    margin: 10px 0 !important;
  }

  .mce-abs-layout-item {
    position: static !important;
    width: auto !important;
  }

  .mce-abs-layout-item.mce-label {
    display: block !important;
  }

  .mce-abs-layout-item.mce-textbox {
    -webkit-box-sizing: border-box !important;
    -moz-box-sizing: border-box !important;
    box-sizing: border-box !important;
    display: block !important;
    width: 100% !important;
  }

  .mce-abs-layout-item.mce-combobox {
    display: flex !important;
  }

  .mce-abs-layout-item.mce-combobox > .mce-textbox {
    -ms-flex: 1 1 auto;
    -webkit-flex: 1 1 auto;
    flex: 1 1 auto;
    height: 29px !important;
  }
}

/*START OF NEW CSS FOR HOMEPAGE GRID*/
#homepageGridContainer {
  display: grid;
  grid-column: 1 / -1;
  gap: 20px;
}

#homepageGridContainer.two-column-view {
  grid-template-columns: minmax(380px, 250px) 1fr;
}

@media handheld, only screen and (max-width: 599px) {
  #homepageGridContainer {
    display: flex;
    flex-direction: column;
  }

  #homepageGridContainer #homepage-widgets {
    order: -1;
  }

  #homepageGridContainer #homepage-nav {
    order: 0;
  }
}

/* Responsive video/iframe embedding */
.fluid-width-video-wrapper {
  width: 100%;
  position: relative;
  padding: 0;
}

.fluid-width-video-wrapper iframe,
.fluid-width-video-wrapper object,
.fluid-width-video-wrapper embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.video-wrapper-wrapper {
  width: 100%;
  padding: 0;
}

iframe.scaleresponsive {
  transform-origin: 0 0;
}

.question-preview-wrapper {
  background: white;
  padding: 20px;
  border-radius: 10px;
}
